<?php

declare (strict_types=1);
namespace CelerSearch\Vendor\Meilisearch\Endpoints;

use CelerSearch\Vendor\Meilisearch\Contracts\Endpoint;
use CelerSearch\Vendor\Meilisearch\Contracts\Task;
use function CelerSearch\Vendor\Meilisearch\partial;
/** @internal */
class Dumps extends Endpoint
{
    protected const PATH = '/dumps';
    public function create() : Task
    {
        return Task::fromArray($this->http->post(self::PATH), partial(Tasks::waitTask(...), $this->http));
    }
}
